body{
    margin: 0;
    font-family: Raleway, sans-serif;
    color: white;

    scroll-behavior: smooth;
}

/* ------------------------------------------------------------------------------------------------------------- */

.header-container{
    display: flex;
    background-color: rgb(45, 45, 45);
    /* color: white; */
    align-items: center;
    padding: 0 80px;
    justify-content: space-between;
    position: sticky;
    top: 0
}

#day-link{
    font-weight: 700;
    font-size: 30px;
}

.header-container a {
    text-decoration: none;
    color: white;
    font-weight: 100;
    font-size: 14px;
}

.header-container li:hover{
    background-color: red;
    transition: 0.5s;
}

.header-container li:hover a{
    color: rgba(25, 25, 25, 0.9);
    transition: 0.5s;
}

#home-link{
    background-color: red;
}

.header-list-container{
    margin: 0;
    list-style: none;
    display: flex;
}

.header-list-container li{
    margin: 0 3px;
    height: 40px;
    min-width: 50px;
    padding: 15px 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#dropdown, #deep-dropdown{
    position: relative;
}

#dropdown ul{
    margin: 0;
    padding: 10px 0;
}

#dropdown li{
    margin: 0;
    padding: 0 20px;
}

.dropdown-content, .deep-dropdown-content{
    padding: 0;
    margin: 0;
    /* display: none; */
    visibility: hidden;
    position: absolute;
    list-style: none;
    min-width: 160px;
    background-color: white;
    color: black;

}

.dropdown-content{
    left: 0;
    top: 70px;
}
.deep-dropdown-content{
    right: 160px;
    top: 0;
}

.dropdown-content li{
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.dropdown-content li:hover > a{
    color: white;
}

#dropdown:hover .dropdown-content{
    /* display:block; */
    visibility: visible;
    transition: all 2s;
}

#deep-dropdown:hover .deep-dropdown-content{
    /* display:block; */
    visibility: visible;
    transition: all 2s;
}

/* ------------------------------------------------------------------------------------------------------------- */
.menu-img{
    display: none;
}



/* ------------------------------------------------------------------------------------------------------------- */

.header-container-contact{
    display: flex;
    background-color: rgba(5, 5, 5, 0.9);
    color: white;
    align-items: center;
    padding: 0 80px;
    justify-content: space-between;
    height: 40px;
    color: rgba(255, 255, 255, 0.6);
    font-size: 15px;
}

.header-container-contact > div {
    display: flex;
}

.mail, .phone {
    margin-right: 20px;
}

.socials img{
    margin-left: 20px;
}

/* ------------------------------------------------------------------------------------------------------------- */

h1, h2, h3, h4, h5{
    margin: 0;
}

.head-section{
    height: 88vh;
    box-sizing: border-box;
    padding-left: 80px;
    padding-top: 25%;
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url('/images/hero-bg.jpg');
    background-size: cover;
    background-attachment: fixed;
}

h1{
    font-size: 48px;
    font-weight: 700;
    text-transform: uppercase;
    margin-bottom: 10px;
}
h2{
    font-size: 24px;
    font-weight: 500;
    margin-bottom: 30px;
}
#get-started-link{
    border: 2px solid white;
    text-decoration: none;
    color: white;
    font-size: 14px;
    display: inline-block;
    padding: 10px 28px;
    height: 20px;
}
#get-started-link:hover{
    border: 2px solid red;
    background-color: red;
    transition: 0.5s;
}

/* ------------------------------------------------------------------------------------------------------------- */

#about{
    height: 88vh;
    color: rgb(68, 68, 68);
    font-size: 16px;
    line-height: 24px;
    box-sizing: content-box;
}

.container1{
    display: flex;
    margin: 0 60px;
    height: 60%;
    padding: 60px 0;
}
.container1 div, .container1 img{
    width: 50%;
    padding: 0 12px;
}
.container1 h3{
    font-weight: 600;
    font-size: 26px;
    margin-bottom: 8px;
}
.container1 ul{
    padding: 0;
    list-style: none;
}
.container1 i{
    margin-bottom: 16px;
}
.container1 li{
    padding-bottom: 10px;
}

.container2{
    display: flex;
    height: 40%;
    padding: 0 60px;
    justify-content: space-between;
}
.container2 .card{
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1), -1px -1px 20px rgba(0, 0, 0, 0.1);
    height: 75%;
    width: 32%;
    padding-top: 50px;
    padding-left: 30px;
    box-sizing: border-box;
    transition: 0.5s;
}
.container2 .card:hover{
    background-color: red;
    transition: 0.6s;
    padding-top: 40px;
}
.container2 .card:hover *{
    color: white;
}

.container2 .card>div{
    font-size: 28px;
    color: red;
    font-weight: 700;
}
.container2 .card>h4{
    font-size: 24px;
    font-weight: 600;
    color: rgb(25, 25, 25);
    margin: 20px 0;
}
.container2 .card>p{
    font-size: 15px;
    color: rgb(170, 170, 170);
}

/* ------------------------------------------------------------------------------------------------------------- */

.clients-container{
    display: flex;
    flex: row;
    background-color: rgb(242, 242, 242);
    color: black;
    margin-top: 80px;
    margin-bottom: 40px;
    height: 90px;
    box-sizing: border-box;
    padding: 15px 120px;
    justify-content: space-between;
    align-items: center;
}
.clients-container > img{
    height: 45px;
    width: 90px;
    filter: grayscale(100);
    transition: .5s;
}
.clients-container > img:hover{
    filter: grayscale(0);
    height: 50px;
    width: 105px;
}

/* ------------------------------------------------------------------------------------------------------------- */

#services{
    height: 90vh;
    color: rgb(68, 68, 68);
    box-sizing: border-box;
    padding: 60px;
    
    text-align: center;
    font-size: 14px;
}
.shadow{
    font-size: 32px;
    font-weight: 700;
    text-transform: uppercase;
    color: #191919;
    text-shadow: 0 -15px 0 rgba(0, 0, 0, 0.1);
}
#services > p{
    font-size: 16px;
}

.services-container{
    display: flex;
    flex-wrap: wrap;
    margin: 0;
    padding: 0;
    justify-content: space-between;
}
.services-container .card{
    height: 360px;
    width: 32%;
    margin:10px 0;
    padding: 80px 20px;
    box-sizing: border-box;
    transition: 0.6s;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1), -1px -1px 20px rgba(0, 0, 0, 0.1);
}
.services-container .card h3{
    font-size: 24px;
    font-weight: 700;
    margin-top: 14px;
}
.services-container .card:hover {
    background-color: red;
    padding-top: 60px;
    color: white;
}
#services img{
    height: 50px;
    width: 50px;
}

/* ------------------------------------------------------------------------------------------------------------- */

#call-to-action{
    display: flex;
    align-items: center;
    height: 40vh;
    margin-top: 120px;
    color: white;
    background-color: black;
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url('/images/cta-bg.jpg');
    background-attachment: fixed;
}
.cta-text{
    text-align: center;
    padding: 30px 60px;
}
.cta-text > h3{
    font-size: 28px;
    font-weight: bold;
}
.cta-text > p{
    margin: 16px 0;
}
.cta-text > a{
    display: inline-block;
    box-sizing: border-box;
    width: 185px;
    height: 45px;
    text-decoration: none;
    color: white;
    border: 2px solid white;
    font-size: 14px;
    padding: 10px 28px;
    margin-top: 10px;
    transition: .6s;
    text-align: center;
}
.cta-text > a:hover{
    background-color: red;
    border: 2px solid red;
}

/* ------------------------------------------------------------------------------------------------------------- */

#portfolio{
    margin-top: 100px;
    color: #191919;
    text-align: center;
}
#portfolio > p{
    margin: 0;
}
#portfolio > .filter{
    display: flex;
    justify-content: center;
    margin: 40px 0;
}
#portfolio > .filter > div{
    margin-left: 30px;
    transition: .3s;
    font-size: 15px;
    font-weight: 600;
}
#portfolio > .filter > div:hover{
    color: red;
}

#portfolio > .flex-container{
    display: flex;
    justify-content: center;
}
#portfolio > .flex-container > .posts-grid{
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    align-content: center;
}
#portfolio > .flex-container > .posts-grid > img{
    width: 30vw;
    padding: 20px;
    transition: .4s;
}

/* ------------------------------------------------------------------------------------------------------------- */

#pricing{
    height: 60vh;
    padding: 140px 60px 110px 60px;
    color: #191919;
    text-align: center;
}
#pricing > .card-container{
    display: flex;
    justify-content: space-between;
    padding-top: 15px;
}
#pricing > .card-container > .card{
    width: 32%;
    background-color: rgb(240, 240, 240);
    padding: 35px 0;
    text-align: center;
    border-radius: 2%;
}
#pricing .card.red {
    background-color: #cc1616;
    color: white;
}
#pricing .card > h3{
    font-size: 18px;
    font-weight: 600;
}
#pricing .price{
    margin: 20px 0;
}
#pricing .price > .amount > sup{
    margin-right: 5px;
    font-size: 18px;
    color: red;
}
#pricing .price > .amount{
    font-size: 40px;
    color: red;
}
#pricing .card.red .price > .amount, #pricing .card.red .price > .amount > sup{
    color: white;
}
#pricing .price > .month{
    margin: 0;
    color: #bababa;
    font-size: 16px;
}
#pricing .price ~ div{
    margin-bottom: 20px;
    font-size: 14px;
}
.price ~ .strikethrough{
    color: #ccc;
    text-decoration-line: line-through;
}
.card.red .strikethrough{
    color: white;
}
#pricing a{
    display: inline-block;
    background-color: #cc1616;
    padding: 15px 40px;
    border: none;
    color: white;
    margin-top: 40px;
    font-weight: 600;
    transition: .3s;
    text-decoration: none;
}
#pricing a:hover{
    background-color: #e93f3f;
}
#pricing .card.red a{
    background-color: rgba(255, 255, 255, 0.2);
}
#pricing .card.red a:hover{
    background-color: white;
    color: #cc1616;
}

/* ------------------------------------------------------------------------------------------------------------- */

#team{
    height: 40vh;
    padding: 0 60px;
    color: #191919;
    text-align: center;
}
#team > .team-container{
    display: flex;
    justify-content: space-between;
}
#team > .team-container > .card{
    width: 30%;
    background-color: #bababa;
}

/* ------------------------------------------------------------------------------------------------------------- */

#contact{
    height: 90vh;
    color: black;
    text-align: center;
}
#contact div{
    margin: 0;
    padding: 0;
}
#contact h3, #contact p{
    margin: 0;
    padding: 0;
}
#contact .grid1{
    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    margin: 40px 60px 20px 60px;
}
#contact .grid2{
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin: 20px 60px;
}
#contact .grid1 > div, #contact .grid2 > div{
    margin: 0 12px;
    box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.1), -1px -1px 20px rgba(0, 0, 0, 0.1);
}

#contact form{
    padding: 30px;
}
#contact .input-container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-bottom: 20px;
}
#contact .input-container > input{
    margin: 0 15px;
}
#contact #subject-input, #contact #message-input{
    width: 87.5%;
    margin-bottom: 20px;
    padding: 3px 15px;
    font-size: 14px ;
}
#contact #message-input{
    padding-top: 14px;
}
#contact input[type='text'], #contact input[type='email']{
    height: 40px;
    padding: 3px 15px;
    font-size: 14px;
}
#contact form > button{
    padding: 12px 26px;
    background-color: red;
    border: none;
    color: white;
    transition: .4s;
    font-size: 18px;
}
#contact form > button:hover{
    background-color: rgba(255, 20, 20, 0.6);
}

.google-map {
    padding-bottom: 50%;
    position: relative;
}

.google-map iframe {
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    position: absolute;
}

/* ------------------------------------------------------------------------------------------------------------- */

@media only screen and (width < 990px){

    .header-container > .header-list-container{
        display: none;
    }
    .menu-img{
        display: inline-block;
        height: 40px;
        width: 40px;
        padding: 15px 0;
    }
    .header-container{
        padding: 0 140px;
    }
    .head-section{
        padding-left: 140px;
    }

    #about{
        margin-bottom: 400px;
    }
    #about .container1{
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        margin: 350px 30px 0 30px;
        /* height: 60%; */
        padding: 0;
    }
    .container1 div, .container1 img{
        margin-top: 30px;
        width: 80%;
        padding: 0 12px;
    }
    #about .container2{
        display: flex;
        flex-direction: column;
        align-items: center;
        /* height: 40%; */
        padding: 0 60px;
    }
    .container2 .card{
        width: 92%;
        margin-top: 20px;
    }

    #clients > .clients-container{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        height: auto;
    }
    #clients img{
        margin: 20px;
    }

    /* #services .services-container{
        display: grid;
        grid-template-columns: 1fr 1fr;
        padding: 0;
        margin: 0;
    }
    #services .services-container .card{
        width: 40%;
        padding: 0;
        margin: 0;
    } */
}
